#include "sample.h"
#define _USE_MATH_DEFINES // for M_PI
#include <cmath>

SampleModel::SampleModel(const char* name) :
	Model(name),
	spin("Sample Spin", 0, 360, 180, 1) 
{
	properties.add(&spin);
}

void SampleModel::draw() {
	glRotatef(spin.getValue(), 0, 1, 0);
	glutSolidCube(1);
}